Loading...
Searching...
No Matches
BALL::MMFF94BendParameters Class Reference
Molecular Modeling » Molecular Mechanics » MMFF94 Force Field.

`#include <BALL/MOLMEC/MMFF94/MMFF94Parameters.h>`

Inheritance diagram for BALL::MMFF94BendParameters:

## Public Types

typedef HashMap< Position, std::pair< double, double > > | BendMap
| Map with the force constant and reference angle.

## Public Member Functions

| MMFF94BendParameters ()
| Default constructor.
virtual | ~MMFF94BendParameters ()
| Destructor.
const MMFF94BendParameters & | operator= (const MMFF94BendParameters &param)
| Assignment operator.
virtual void | clear ()
| Clear method.
bool | assignParameters (Position bend_type, Position atom_type1, Position atom_type2, Position atom_type3, double &ka, double &angle) const
Public Member Functions inherited from BALL::MMFF94ParametersBase
| MMFF94ParametersBase ()
| Default constructor.
virtual | ~MMFF94ParametersBase ()
| Destructor.
const MMFF94ParametersBase & | operator= (const MMFF94ParametersBase &)
| Assignment operator.
bool | isInitialized ()
bool | readParameters (Parameters &p, const String &section)
void | setEquivalences (const MMFF94AtomTypeEquivalences &equi)

## Protected Member Functions

virtual bool | setup_ (const std::vector< std::vector< String > > &)
Position | getIndex_ (Position bend_type, Position atom_type1, Position atom_type2, Position atom_type3) const

## Protected Attributes

BendMap | parameters_
| parameters
BendMap | buffered_parameters_
Protected Attributes inherited from BALL::MMFF94ParametersBase
bool | is_initialized_
Size | number_expected_fields_
const MMFF94AtomTypeEquivalences * | equiv_

## Detailed Description

MMFF94 parameters for bond bending (see MMFFANG.PAR)

Definition at line 263 of file MMFF94Parameters.h.

## Member Typedef Documentation

## BendMap

typedef HashMap<Position, std::pair<double, double> > BALL::MMFF94BendParameters::BendMap

Map with the force constant and reference angle.

Definition at line 269 of file MMFF94Parameters.h.

## Constructor & Destructor Documentation

## MMFF94BendParameters()

BALL::MMFF94BendParameters::MMFF94BendParameters | ( |  | ) |

Default constructor.

## ~MMFF94BendParameters()

virtual BALL::MMFF94BendParameters::~MMFF94BendParameters | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## assignParameters()

bool BALL::MMFF94BendParameters::assignParameters | ( | Position | bend_type,
|  | Position | atom_type1,
|  | Position | atom_type2,
|  | Position | atom_type3,
|  | double & | ka,
|  | double & | angle ) const

## clear()

virtual void BALL::MMFF94BendParameters::clear | ( |  | ) |

virtual

Clear method.

Reimplemented from BALL::MMFF94ParametersBase.

## getIndex_()

Position BALL::MMFF94BendParameters::getIndex_ | ( | Position | bend_type,
|  | Position | atom_type1,
|  | Position | atom_type2,
|  | Position | atom_type3 ) const

protected

## operator=()

const MMFF94BendParameters & BALL::MMFF94BendParameters::operator= | ( | const MMFF94BendParameters & | param | ) |

Assignment operator.

## setup_()

virtual bool BALL::MMFF94BendParameters::setup_ | ( | const std::vector< std::vector< String > > & |  | ) |

protected virtual

Reimplemented from BALL::MMFF94ParametersBase.

## Member Data Documentation

## buffered_parameters_

BendMap BALL::MMFF94BendParameters::buffered_parameters_

mutable protected

Definition at line 300 of file MMFF94Parameters.h.

## parameters_

BendMap BALL::MMFF94BendParameters::parameters_

protected

parameters

Definition at line 299 of file MMFF94Parameters.h.